Subject: [PATCH] gpiolib: Add of_get_gpio_chip_by_phandle() helper

From: [email-masked] (Viresh Kumar)
Date: Fri, 18 May 2012 12:13:54 +0530

On 5/18/2012 11:16 AM, Grant Likely wrote:
> Ugh; that seems a little messy.  With dynamic allocation of gpio
> numbers, there is no guarantee that all the gpio_chips will have
> contiguous gpio_bases.  It would require internal knowledge of each
> gpio controller's binding.  How do you intend to use that API?

I need gpio_chip base in my pinctrl driver to convert from gpio number
to pin number. That's it. Please suggest how should i fix this up. :)

-- 
viresh